Bug 145247 - [PATCH] graphics/php5-gd: png v14 fix
Summary: [PATCH] graphics/php5-gd: png v14 fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-31 19:00 UTC by Martin Matuska
Modified: 2010-05-12 18:00 UTC (History)
0 users

See Also:


Attachments
.patch (1.02 KB, patch)
2010-03-31 19:00 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2010-03-31 19:00:18 UTC
- Fix unresolved symbol after png v14 API change

Added file(s):
- files/patch-libgd-gd_png.c

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-03-31 19:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2010-04-05 19:33:56 UTC
Responsible Changed
From-To: ale->dinoex

I will take care of it.
Comment 3 dfilter service freebsd_committer 2010-04-05 19:57:48 UTC
dinoex      2010-04-05 18:57:39 UTC

  FreeBSD ports repository

  Modified files:
    lang/php4            Makefile 
    lang/php5            Makefile 
  Added files:
    graphics/php4-gd/files patch-libgd_gd_png.c 
    graphics/php5-gd/files patch-libgd_gd_png.c 
  Log:
  - fix build for png-1.4.1
  - bump PORTREVISION
  PR:     145247
  
  Revision  Changes    Path
  1.1       +14 -0     ports/graphics/php4-gd/files/patch-libgd_gd_png.c (new)
  1.1       +14 -0     ports/graphics/php5-gd/files/patch-libgd_gd_png.c (new)
  1.127     +1 -1      ports/lang/php4/Makefile
  1.143     +1 -1      ports/lang/php5/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2010-04-05 19:58:02 UTC
State Changed
From-To: open->closed

committed, thanks.
Comment 5 admin 2010-04-06 12:56:26 UTC
This path not work!

After this patch have: Abort (core dumped)

Before: /libexec/ld-elf.so.1: /usr/local/lib/php/20060613/gd.so: Undefined
symbol "png_check_sig"
Comment 6 davidc 2010-05-12 17:39:47 UTC
This patch worked for me.
PHP 5.2.12
Apache/2.0.63
FreeBSD 6.4-STABLE

The function throwing the error was imagecreatefrompng
The error was
/libexec/ld-elf.so.1: /usr/local/lib/php/20060613/gd.so: Undefined 
symbol "png_check_sig"

-- 
David Croal, Technical Support, Sentex Communications
Voice: (519) 651-3400 x204  Toll Free 1-888-4-SENTEX (1-888-473-6839)
Fax: (519) 651-2215                   http://www.sentex.net